<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<!-- 硫酸纸吊牌 -->
<style>
    .layui-form-checkbox[lay-skin=primary] i {
        border-radius: 50px;
        width: 18px;
        height: 18px;
        line-height: 18px;
        margin-top: 3px;
    }

    .layui-form-checkbox[lay-skin=primary] span {
        color: black;
        margin-top: 3px;
        font-size: 14px;
    }
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h2">硫酸纸吊牌</h1>
        <span style="color: red; font-weight: 700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="硫酸纸吊牌">
            <p>
                尺寸(CM/厘米) <span style="font-size: 14px; color: red">输入格式: 长 * 宽</span>
            </p>
            <div class="layui-form-item">
                <span style="font-size: 14px; color: red">135克硫酸纸尺寸</span>
                <input type="text" name="size" placeholder="135克硫酸纸尺寸" id="size" lay-verify="required" class="layui-input" autocomplete="off">
                <span style="font-size: 14px; color: red">350克铜版纸尺寸</span>
                <input type="text" name="size1" placeholder="350克铜版纸尺寸" id="size1" lay-verify="required" class="layui-input" autocomplete="off">
            </div>
            <p>
                数量(套)
            </p>
            <div class="layui-form-item">
                <select name="count" class="select" id="count">
                    <option value="1000">1000</option>
                    <option value="2000">2000</option>
                    <option value="5000">5000</option>
                    <option value="10000">10000</option>
                </select>
            </div>
            <p>款数</p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off"
                       name="number" id="number" value="1" class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang" class="layui-input">
            </div>
            <p>
                工艺
            </p>
            <div class="layui-input-block">
                <input type="radio" name="craftQie" lay-filter="craftQie" value="直角裁切" title="直角裁切" checked>
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyResult()">点击复制</button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <!--<h2>下单备注-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
            <div>
                <textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
            </div>-->
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size: 20px; color: red"></div>
        </div>
    </div>
</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var table = layui.table;
		form.on('checkbox(ui_craft)', function (data) {
			let craft_list = [];
			let kindValue = $('input[name="kindValue"]:checked').val();
			craft_list.push($("select[name='craft'] option:selected").val());
			$("input[name='craft']:checked").each(function () {
				if (!$(this).is(':disabled')) {
					craft_list.push($(this).val());
				}
			});

			if (data.value == '抠图') {
				$(".crop").hide();
				$(".crop").find("input").prop("disabled", true)
				if (data.elem.checked) {
					$(".crop").show();
					$(".crop").find("input").prop("disabled", false)
				}
			}
			form.render();
		})
        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var craftQie = [$('input[name="craftQie"]:checked').val()];
            var size = $("#size").val();
            var size1 = $("#size1").val();
            var number = $("#number").val();
            var count = $("#count option:selected").text();
            if ((size.split("*")[0] < 5 || size.split("*")[1] < 5) && (size.split("*")[0] < 3 || size.split("*")[1] < 3)) {
                layer.msg("尺寸不能小于5*3 cm", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if ((size1.split("*")[0] < 5 || size1.split("*")[1] < 5) && (size1.split("*")[0] < 3 || size1.split("*")[1] < 3)) {
                layer.msg("尺寸不能小于5*3 cm", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if ((size.split("*")[0] > 9 || size.split("*")[1] > 5.4) && (size.split("*")[0] > 5.4 || size.split("*")[1] > 9)) {
                layer.msg("尺寸不能大于9*5.4 cm", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if ((size1.split("*")[0] > 9 || size1.split("*")[1] > 5.4) && (size1.split("*")[0] > 5.4 || size1.split("*")[1] > 9)) {
                layer.msg("尺寸不能大于9*5.4 cm", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
			let craft_list = [];
			$("input[name='craft']:checked").each(function () {
				if (!$(this).is(':disabled')) {
                    if ($(this).val() == "抠图") {
                        craft_list.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    }
					craft_list.push($(this).val());
				}
			});
			craft_list.push(craftQie)
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;

                    var span_result = '硫酸纸吊牌 - ' + '135克硫酸纸尺寸' + size + 'cm - ' + '350克铜版纸尺寸' + size1 + 'cm\n' + "工艺： " + craft_list.join(",") + "\n";
                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "套，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "套，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }

                    addLog(span_result);
                    $("#span_result").val(span_result);

                    getRemark($("#proTypeValue").val(), size, count + "套", "单色", number, craftQie, "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[{
                            field: 'number',
                            width: '12%',
                            align: "center",
                            title: '款数'
                        }, {
                            field: 'count',
                            width: '16%',
                            align: "center",
                            title: '数量'
                        }, {
                            field: 'price',
                            width: '16%',
                            align: "center",
                            title: '报价'
                        },/* {
							field : 'wangwang',
							align : "center",
							width : '16%',
							title : '折扣价'
						}, {
							field : 'wangwang',
							align : "center",
							width : '19%',
							title : '跳楼价'
						}, */{
                            field: 'weight',
                            width: '21%',
                            align: "center",
                            title: '重量（kg）'
                        }]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>